- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Endian File Reference

`#include <algorithm>`

Include dependency graph for Endian:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Defines
#define | OSG_ENDIAN 1
## Enumerations
enum | osg::Endian { osg::BigEndian, osg::LittleEndian }
## Functions
Endian | osg::getCpuByteOrder ()
void | osg::swapBytes (char *in, unsigned int size)
void | osg::swapBytes2 (char *in)
void | osg::swapBytes4 (char *in)
void | osg::swapBytes8 (char *in)
void | osg::swapBytes16 (char *in)

## Define Documentation

#define OSG_ENDIAN 1